org.apache.commons.math3.random

## Class EmpiricalDistribution.StreamDataAdapter

- java.lang.Object
- - org.apache.commons.math3.random.EmpiricalDistribution.DataAdapter
  - - org.apache.commons.math3.random.EmpiricalDistribution.StreamDataAdapter

- Enclosing class:
    EmpiricalDistribution

      private class EmpiricalDistribution.StreamDataAdapter
      extends EmpiricalDistribution.DataAdapter

  `DataAdapter` for data provided through some input stream

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private BufferedReader` | `inputStream` Input stream providing access to the data

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmpiricalDistribution.StreamDataAdapter(BufferedReader in)` Create a StreamDataAdapter from a BufferedReader

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `computeBinStats()` Compute bin stats.
    `void` | `computeStats()` Compute sample statistics.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### inputStream

          private BufferedReader inputStream

      Input stream providing access to the data

  - ### Constructor Detail

    - #### EmpiricalDistribution.StreamDataAdapter

          public EmpiricalDistribution.StreamDataAdapter(BufferedReader in)

      Create a StreamDataAdapter from a BufferedReader
      Parameters:
        `in` - BufferedReader input stream

  - ### Method Detail

    - #### computeBinStats

          public void computeBinStats()
                               throws IOException

      Compute bin stats.
      Specified by:
        `computeBinStats` in class `EmpiricalDistribution.DataAdapter`
      Throws:
        `IOException` - if an error occurs computing bin stats

    - #### computeStats

          public void computeStats()
                            throws IOException

      Compute sample statistics.
      Specified by:
        `computeStats` in class `EmpiricalDistribution.DataAdapter`
      Throws:
        `IOException` - if an error occurs computing sample stats

Copyright (c) 2003-2013 Apache Software Foundation